| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# methodsynopsis

$Revision: 1.2 $

$Date: 2002/06/11 01:20:04 $

methodsynopsis — A syntax summary for a method

## Synopsis

### Content Model

    methodsynopsis ::=
    (modifier*,
     (type|void)?,
     methodname,
     (methodparam+|void),
     exceptionname*,modifier*)

### Attributes

Common attributes

Name | Type | Default
language | CDATA | None

## Description

A `MethodSynopsis` contains the syntax summary of a method (generally speaking, methods in the object-oriented programming language sense).

This is one of the few places where DocBook attempts to model as well as describe. Unlike `FuncSynopsis` which was designed with C language function prototypes in mind, the content model of `MethodSynopsis` was designed to capture a wide range of semantics.

### Processing expectations

For the most part, the processing application is expected to generate all of the parenthesis, semicolons, commas, and so on. required in the rendered synopsis.

### Parents

These elements contain methodsynopsis: `answer`, `appendix`, `application`, `article`, `attribution`, `bibliodiv`, `bibliography`, `bibliomisc`, `blockquote`, `callout`, `caution`, `chapter`, `citation`, `citetitle`, `classsynopsis`, `constraintdef`, `emphasis`, `entry`, `example`, `figure`, `footnote`, `foreignphrase`, `glossary`, `glossdef`, `glossdiv`, `glosssee`, `glossseealso`, `glossterm`, `important`, `index`, `indexdiv`, `informalexample`, `informalfigure`, `itemizedlist`, `lineannotation`, `link`, `listitem`, `literallayout`, `lotentry`, `member`, `msgaud`, `msgexplan`, `msgtext`, `note`, `olink`, `orderedlist`, `para`, `partintro`, `phrase`, `preface`, `procedure`, `productname`, `programlisting`, `qandadiv`, `qandaset`, `question`, `quote`, `refentrytitle`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `remark`, `revdescription`, `screen`, `screeninfo`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `seg`, `setindex`, `sidebar`, `simpara`, `simplesect`, `step`, `synopsis`, `term`, `tip`, `tocback`, `tocentry`, `tocfront`, `ulink`, `variablelist`, `warning`.

### Children

The following elements occur in methodsynopsis: `exceptionname`, `methodname`, `methodparam`, `modifier`, `type`, `void`.

methodparam |  | mml:math

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.